> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/starknet/starknet_estimatefee.md).

# starknet\_estimateFee

estimate the fee for of StarkNet transactions

#### **Parameters:**

**OBJECT** - The transaction call object

* `contract_address -` Address the transaction is sent from
* `entry_point_selector -`Smart contract entry points
* `call_data -`The hash of method signature and encoded parameters.

**BLOCK\_PARAM**  -  Expected one of `block_number`, `block_hash`, `latest`, `pending`

#### **Returns:**

The fee estimation

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl https://starknet.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" 
--data '{"jsonrpc":"2.0","method":"starknet_estimateFee","params":[""],"id":1}'

// Result
{

}
```

{% endcode %}
